Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query
Class QueryBuilder.CastAsUpperBoundary

    java.lang.Object
      org.modeshape.graph.query.QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>
          org.modeshape.graph.query.QueryBuilder.CastAsUpperBoundary

Enclosing class:
  QueryBuilder

    public class QueryBuilder.CastAsUpperBoundary

extends QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>

Field Summary

Fields inherited from class org.modeshape.graph.query.QueryBuilder.CastAs
`value`

Constructor Summary
`protected` | `QueryBuilder.CastAsUpperBoundary(QueryBuilder.UpperBoundary upperBoundary, Object value)`

Method Summary
`QueryBuilder.ConstraintBuilder` | `as(String type)` Define the right-hand side literal value cast as the specified type.

Methods inherited from class org.modeshape.graph.query.QueryBuilder.CastAs
`asBoolean, asDate, asDouble, asLong, asPath, asString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBuilder.CastAsUpperBoundary

    protected QueryBuilder.CastAsUpperBoundary(QueryBuilder.UpperBoundary upperBoundary,
                                               Object value)

Method Detail

### as

    public QueryBuilder.ConstraintBuilder as(String type)

  Define the right-hand side literal value cast as the specified type.

  Specified by:
    `as` in class `QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>`
  Parameters:
    `type` - the property type; may not be null
  Returns:
    the constraint builder; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.